<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<META HTTP-EQUIV="imagetoolbar" CONTENT="no">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<script  language="javascript" src="../../js/parse_get.js" type="text/JavaScript"></script>
<script  language="javascript" src="../../js/parse_cookie.js" type="text/JavaScript"></script>
<script  language="javascript" id="SearchKeyFiles" src="" type="text/JavaScript"></script>
<link href="../../css/style.css" rel="stylesheet" type="text/css">
<link href="../../css/ToolBox.css" rel="stylesheet" type="text/css">


</HEAD>
<BODY topmargin=0 leftmargin=0 bgcolor="#FCFCF7" ondragstart="return false" onselectstart="return false" oncontextmenu="return false">
<script language="javascript">
<!--
//SearchBookVar[2] = new Array('080709123712500', 'test', '$CreDateYear','$CreDateMonth','$CreDateDay', '1');

var TotalFileCount = 0;
var sn = 1;
var Dn= 1;
var old_pg;
var rtCount = 0;
var ptCount = 0;
var otCount = 0;
var ViewrBookSearch = false;

var ot = 0;
var o = 0;
var OtherTitle = false;

var sPrintBody = new Array();

function LoadFiileChk2(Loop) {
	if(Loop==0) {
		if(FileName[Dn]) {
			try{
				document.getElementById("SearchKeyFiles").src ="";
				setTimeout("document.getElementById(\"SearchKeyFiles\").src = '"+FileName[Dn]+"'", 5);	
				window.status = FileName[Dn];
			}
			catch(e) {
				//alert(e);
			}
		}
		else {
			parent.searchDataLoad2 = 1;
		}
	}
}

function SearchProc() {
	var SearchLen = SearchKey.length;
	//alert(SearchLen);
	var m =0;
	var SearchContetnsStr;

	if(Dn==1)
	{
		var tmpSearchDiv=document.createElement("Div");
		document.body.insertBefore(tmpSearchDiv);
		var SearchToolTop = "<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
										  "<tr height=\"20\"><td width=\"10\">&nbsp;</td><td width=\"220\" >책자내 검색결과 : <font color=blue><strong><span id='sResultTitle'>0</span></strong></font> 페이지 - <font color=red><strong><span id='sResultTitle2'>0</span></strong></font> 건</div></td></tr>"+
										  "</table></div>";
		tmpSearchDiv.outerHTML = SearchToolTop;
		delete tmpSearchDiv;
	}

	for(i=0; i < SearchLen; i++) {
		var LineContents = SearchKey[i][9].replace(/ /ig, "");
		var sp = LineContents.match(matchKey);
		if(FileOwner[Dn][0] == parent.albumCode)
		{		
			if(sp && sp != -1) {
				ViewrBookSearch = true;
				var pg = SearchKey[i][0];
				var slen = SearchCorrect.length;
				var sFirst = false;
				for(c=0; c < slen; c++) {
					if(SearchCorrect[c] == pg)
						sFirst = true;
				}
							
				if(sFirst == false) {
					SearchCorrect[slen] = pg;
					parent.SearchThump[m] = pg;
					m++;
					parent.SearchInfo[pg] = new Array();
				}
										
				var pLen = parent.SearchInfo[pg].length; 
				parent.SearchInfo[pg][pLen] = new Array(pg, SearchKey[i][1], SearchKey[i][2], SearchKey[i][3], SearchKey[i][4], SearchKey[i][5], SearchKey[i][6], SearchKey[i][7], SearchKey[i][8], SearchKey[i][9]);
				
				if(old_pg && pg != old_pg )
				{
					var SearchImgs = parent.PageData[old_pg][6];	
					if(parent.PageNumPrintStart)
					{
						rePg = ( parent.PageData[old_pg][4] - parent.PageNumPrintStart) + 1;
						if(rePg < 1) 
							rePg = "Cover";
						else
							rePg = rePg+"P";
					}
					else
					{
						rePg = parent.PageData[old_pg][4]+"P";
					}
					
					searchPageHead ="<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
						  "<tr>"+
							"<td width=\"10\"></td>"+
							"<td width=\"112\" valign=\"top\"><img src=\""+SearchImgs+"\" width=\"100\" height=\"142\" style=\"border:#A7A7A7 1px solid;\" onclick=parent.directPage('"+parent.albumCode+"','"+parent.PageData[old_pg][4]+"'); style=\"cursor:pointer;\"></td>"+
							"<td width=\"208\" valign=\"top\"><table width=\"100%\" height=\"20\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
								"<tr>"+ 
								  "<td><span class=\"font1S\">"+otCount+")</span><img src=\"../../base/ToolBox/Menu_Search_gap.gif\" width=\"7\" height=\"20\"><span class=\"font2S\">"+rePg+"</span></td>"+
								"</tr>"+
							  "</table>"+
							  "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
								"<tr>"+ 
								  "<td valign=\"top\"> <table width=\"200\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#A7A7A7\">"+
									  "<tr>"+ 
										"<td bgcolor=\"#FFFFFF\">"+ 
										  "<div class=sbar style='width:200px; height:118px;overflow:auto'>"+ 
											"<table width=183 border=0 cellpadding=0 cellspacing=2 >"+
											  "<tr>"+ 
												"<td>";

					searchPageFoot=   "</td>"+
												"</tr>"+
											"</table>"+
										  "</div>"+
										"</td>"+
									  "</tr>"+
									"</table></td>"+
								"</tr>"+
							  "</table></td>"+
						  "</tr>"+
						  "<tr>"+
							"<td ></td>"+
							"<td height=\"20\" ></td>"+
							"<td></td>"+
						  "</tr>"+
						"</table></div>";
						
					inputStr  = searchPageHead  + sPrintBody[old_pg].replace(/{_total_}/ig, ptCount) +  searchPageFoot;
					var tmpSearchDiv=document.createElement("Div");
					document.body.insertBefore(tmpSearchDiv);
					tmpSearchDiv.outerHTML = inputStr;
					
					delete tmpSearchDiv;
					ptCount = 0;
					sPrintBody[old_pg] = null;
				}
			
				if(pLen==0)
				  otCount++;
				
				if(!sPrintBody[pg])
					sPrintBody[pg] = "";
				var scontentse = SearchKey[i][9].replace(matchKey, "<span class=\"font4S\">"+SearchWord_Non_Space+"</span>");
				sPrintBody[pg] += "<a href=\"javascript:parent.SearchPageRefresh('"+parent.albumCode+"',"+parent.PageData[pg][4]+","+pLen+", {_total_});\"><span class=\"font3S\">"+(pLen+1)+".</span><span class=\"font0S\">"+scontentse+"</span></a><br><br>";

				old_pg = pg;
				rtCount++;
				ptCount++;

				window.status=pg+":"+SearchKey[i][9];
				
				if(sFirst == false) {
					parent.SearchInfo[pg]['state'] = false;
				}
			}
		}
		else
		{
			// 다른책자 결과
			if(!OtherTitle)
			{
				OtherTitle = true;
				var tmpSearchDiv=document.createElement("Div");
				document.body.insertBefore(tmpSearchDiv);
				var SearchToolTop = "<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
													  "<tr height=\"20\"><td width=\"10\">&nbsp;</td><td width=\"220\" >통합 검색결과 : <font color=blue><strong><span id='sResultTitle3'>0</span></strong></font> 권 책자 - <font color=red><strong><span id='sResultTitle4'>0</span></strong></font> 건</div></td></tr>"+
													  "</table></div>";
				tmpSearchDiv.outerHTML = SearchToolTop;
				delete tmpSearchDiv;
			}
			else
			{
				document.getElementById('sResultTitle3').innerHTML = ot;
				document.getElementById('sResultTitle4').innerHTML = o;
			}

			if(sp && sp != -1) 
			{
				
				if(!OtherSearchResult[FileOwner[Dn][0]])
				{
					o = 0;
					ot++;
					searchPageother = "<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
						  "<tr>"+
							"<td width=\"15\"></td>"+
							"<td width=\"315\" valign=\"top\"><table width=\"100%\" height=\"20\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
								"<tr>"+ 
								  "<td><span class=\"font1S\">"+ot+")</span><img src=\"../../base/ToolBox/Menu_Search_gap.gif\" width=\"7\" height=\"20\"><span class=\"font2S\">"+FileOwner[Dn][1]+"</span> - <span id='otherCount"+ot+"'></span></td>"+
								"</tr>"+
							  "</table>"+
							  "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
								"<tr>"+ 
								  "<td valign=\"top\"> <table width=\"307\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#A7A7A7\">"+
									  "<tr>"+ 
										"<td bgcolor=\"#FFFFFF\">"+ 
										  "<div class=sbar style='width:307px; height:118px;overflow:auto'>"+ 
											"<table width=290 border=0 cellpadding=0 cellspacing=2 >"+
											  "<tr>"+ 
												"<td><div id='otherResult"+ot+"'>"+
												
												"</div></td>"+
											"</tr>"+
										"</table>"+
									  "</div>"+
									"</td>"+
								  "</tr>"+
								"</table></td>"+
							"</tr>"+
						  "</table></td>"+
					  "</tr>"+
					  "<tr>"+
						"<td height=\"20\" ></td>"+
						"<td></td>"+
					  "</tr>"+
					"</table></div>";

					var tmpSearchDiv=document.createElement("Div");
					document.body.insertBefore(tmpSearchDiv);
					tmpSearchDiv.outerHTML = searchPageother;
					delete tmpSearchDiv;

					OtherSearchResult[FileOwner[Dn][0]] = true;
				}

				o++;
				var scontentse = SearchKey[i][9].replace(matchKey, "<span class=\"font4S\">"+SearchWord_Non_Space+"</span>");
				SearchContetnsStr ="<a href=\"javascript:parent.directPage('"+FileOwner[Dn][0]+"','"+SearchKey[i][0]+"');\"><span class=\"font3S\">"+o+".</span><span class=\"font0S\">"+scontentse+"</span></a><br><br>";

				document.getElementById('otherResult'+ot).innerHTML += SearchContetnsStr;
				document.getElementById('otherCount'+ot).innerHTML = "<font color=red><strong>" + o + "</strong></font> 건"
			}
			
			
		}
	}

	Dn++;

	if(ViewrBookSearch && Dn <= TotalFileCount && FileOwner[Dn][0] != parent.albumCode)
	{
		
		if(sPrintBody[old_pg])
		{
			var SearchImgs = parent.PageData[old_pg][6];	
				if(parent.PageNumPrintStart)
				{
					rePg = ( parent.PageData[old_pg][4] - parent.PageNumPrintStart) + 1;
					if(rePg < 1) 
						rePg = "Cover";
					else
						rePg = rePg+"P";
				}
				else
				{
					rePg = parent.PageData[old_pg][4]+"P";
				}
				
				searchPageHead ="<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
					  "<tr>"+
						"<td width=\"10\"></td>"+
						"<td width=\"112\" valign=\"top\"><img src=\""+SearchImgs+"\" width=\"100\" height=\"142\" style=\"border:#A7A7A7 1px solid;\" onclick=parent.directPage('"+parent.albumCode+"','"+parent.PageData[old_pg][4]+"'); style=\"cursor:pointer;\"></td>"+
						"<td width=\"208\" valign=\"top\"><table width=\"100%\" height=\"20\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
							"<tr>"+ 
							  "<td><span class=\"font1S\">"+(otCount+1)+")</span><img src=\"../../base/ToolBox/Menu_Search_gap.gif\" width=\"7\" height=\"20\"><span class=\"font2S\">"+rePg+"</span></td>"+
							"</tr>"+
						  "</table>"+
						  "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
							"<tr>"+ 
							  "<td valign=\"top\"> <table width=\"200\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#A7A7A7\">"+
								  "<tr>"+ 
									"<td bgcolor=\"#FFFFFF\">"+ 
									  "<div class=sbar style='width:200px; height:118px;overflow:auto'>"+ 
										"<table width=183 border=0 cellpadding=0 cellspacing=2 >"+
										  "<tr>"+ 
											"<td>";

				searchPageFoot=   "</td>"+
											"</tr>"+
										"</table>"+
									  "</div>"+
									"</td>"+
								  "</tr>"+
								"</table></td>"+
							"</tr>"+
						  "</table></td>"+
					  "</tr>"+
					  "<tr>"+
						"<td ></td>"+
						"<td height=\"20\" ></td>"+
						"<td></td>"+
					  "</tr>"+
					"</table></div>";
					
				inputStr  = searchPageHead  + sPrintBody[old_pg].replace(/{_total_}/ig, ptCount) +  searchPageFoot;
				var tmpSearchDiv=document.createElement("Div");
				document.body.insertBefore(tmpSearchDiv);
				tmpSearchDiv.outerHTML = inputStr;
				
				delete tmpSearchDiv;
				ptCount = 0;
				sPrintBody[old_pg] = null;
				ViewrBookSearch = false;
		}


		if(!otCount && !rtCount)
		{
			var tmpSearchDiv=document.createElement("Div");
			document.body.insertBefore(tmpSearchDiv);
			var SearchToolTop = "<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
											  "<tr height=\"50\"><td width=\"10\">&nbsp;</td><td width=\"320\" align=center>\""+SearchWord_Non_Space+"\" 로 책자내 검색 결과가 존재 하지 않습니다</div></td></tr>"+
											  "</table></div>";
			tmpSearchDiv.outerHTML = SearchToolTop;
			delete tmpSearchDiv;
		}
		else
		{
			document.getElementById('sResultTitle').innerHTML = otCount ;
			document.getElementById('sResultTitle2').innerHTML = rtCount;
		}
	}

	if(Dn > TotalFileCount) 
	{
		if(sPrintBody[old_pg])
		{
			var SearchImgs = parent.PageData[old_pg][6];	
				if(parent.PageNumPrintStart)
				{
					rePg = ( parent.PageData[old_pg][4] - parent.PageNumPrintStart) + 1;
					if(rePg < 1) 
						rePg = "Cover";
					else
						rePg = rePg+"P";
				}
				else
				{
					rePg = parent.PageData[old_pg][4]+"P";
				}
				
				searchPageHead ="<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
					  "<tr>"+
						"<td width=\"10\"></td>"+
						"<td width=\"112\" valign=\"top\"><img src=\""+SearchImgs+"\" width=\"100\" height=\"142\" style=\"border:#A7A7A7 1px solid;\" onclick=parent.directPage('"+parent.albumCode+"','"+parent.PageData[old_pg][4]+"'); style=\"cursor:pointer;\"></td>"+
						"<td width=\"208\" valign=\"top\"><table width=\"100%\" height=\"20\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
							"<tr>"+ 
							  "<td><span class=\"font1S\">"+(otCount+1)+")</span><img src=\"../../base/ToolBox/Menu_Search_gap.gif\" width=\"7\" height=\"20\"><span class=\"font2S\">"+rePg+"</span></td>"+
							"</tr>"+
						  "</table>"+
						  "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"+
							"<tr>"+ 
							  "<td valign=\"top\"> <table width=\"200\" border=\"0\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#A7A7A7\">"+
								  "<tr>"+ 
									"<td bgcolor=\"#FFFFFF\">"+ 
									  "<div class=sbar style='width:200px; height:118px;overflow:auto'>"+ 
										"<table width=183 border=0 cellpadding=0 cellspacing=2 >"+
										  "<tr>"+ 
											"<td>";

				searchPageFoot=   "</td>"+
											"</tr>"+
										"</table>"+
									  "</div>"+
									"</td>"+
								  "</tr>"+
								"</table></td>"+
							"</tr>"+
						  "</table></td>"+
					  "</tr>"+
					  "<tr>"+
						"<td ></td>"+
						"<td height=\"20\" ></td>"+
						"<td></td>"+
					  "</tr>"+
					"</table></div>";
					
				inputStr  = searchPageHead  + sPrintBody[old_pg].replace(/{_total_}/ig, ptCount) +  searchPageFoot;
				var tmpSearchDiv=document.createElement("Div");
				document.body.insertBefore(tmpSearchDiv);
				tmpSearchDiv.outerHTML = inputStr;
				
				delete tmpSearchDiv;
				ptCount = 0;
				sPrintBody[old_pg] = null;
		}


		if(!otCount && !rtCount)
		{
			var tmpSearchDiv=document.createElement("Div");
			document.body.insertBefore(tmpSearchDiv);
			var SearchToolTop = "<div><table width=\"330\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">"+
											  "<tr height=\"50\"><td width=\"10\">&nbsp;</td><td width=\"320\" align=center>\""+SearchWord_Non_Space+"\" 로 책자내 검색 결과가 존재 하지 않습니다</div></td></tr>"+
											  "</table></div>";
			tmpSearchDiv.outerHTML = SearchToolTop;
			delete tmpSearchDiv;
		}
		else
		{
			document.getElementById('sResultTitle').innerHTML = otCount ;
			document.getElementById('sResultTitle2').innerHTML = rtCount;
		}
		parent.searchDataLoad2 = 1;
	}
	else 
	{
		LoadFiileChk2(0);
	}
}

var SearchWord = _get["key"][0];
var fromYear = _get["year1"][0];
var fromMonth = _get["month1"][0];
var fromDay  = _get["day1"][0];
var toYear = _get["year2"][0];
var toMonth = _get["month2"][0];
var toDay  = _get["day2"][0];
var fromDate;
var toDate;
if(fromYear && fromMonth && fromDay)
{
	fromDate = new Date(fromYear, fromMonth, fromDay);
}

if(toYear && toMonth && toDay)
{
	toDate = new Date(toYear, toMonth, toDay);
}

if(parent.SearchBookVar.length > 0)
{
	for(i=0; i < parent.SearchBookVar.length ; i++)
	{
		if(fromDate && toDate)
		{
			var BookDate = new Date(parent.SearchBookVar[i][2], parent.SearchBookVar[i][3], parent.SearchBookVar[i][4]);

			if(BookDate.getTime() < fromDate.getTime() || BookDate.getTime() > toDate.getTime())
			{
				continue;
			}
		}
		
		TotalFileCount  += parseInt(parent.SearchBookVar[i][5]);
	}	
}

if(SearchWord)
{
	var SearchCorrect = new Array();
	var SearchWord_Non_Space = decodeURIComponent(SearchWord).replace(/ /ig, "");
	var matchKey = eval("/"+SearchWord_Non_Space+"/ig");
	var TotalPageDir = parent.PageDirNums.length-1;
	var FileName = new Array();
	var FileOwner = new Array();
	var OtherSearchResult = new Array();
	m=2;
	for(i =0; i < parent.SearchBookVar.length; i++)
	{
		if(fromDate && toDate)
		{
			var BookDate = new Date(parent.SearchBookVar[i][2], parent.SearchBookVar[i][3], parent.SearchBookVar[i][4]);

			if(BookDate.getTime() < fromDate.getTime() || BookDate.getTime() > toDate.getTime())
			{
				continue;
			}
		}

		for(n=sn; n <= parent.SearchBookVar[i][5]; n++) {
				if(parent.albumCode == parent.SearchBookVar[i][0])
				{
					FileName[1] = "./SearchKey_"+n+".js";
					FileOwner[1] = parent.SearchBookVar[i];
				}
				else
				{
					FileName[m] = "../"+parent.SearchBookVar[i][0]+"/SearchKey_"+n+".js";
					FileOwner[m] = parent.SearchBookVar[i];
					m++;
				}
			
		}
	}
	LoadFiileChk2(0);
}
else
{
	document.write("<table width=100% height=50 cellpadding=0 cellspacing=0 border=0><tr><td align=center valign=middle>검색어 입력후 검색버턴을 클릭하세요</td></tr></table>");
}
//-->
</script>
</BODY>
</HTML>